Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.deser.std
Class UntypedObjectDeserializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonDeserializer<T>
          com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
              com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer

All Implemented Interfaces:
  Serializable

    public class UntypedObjectDeserializer

extends StdDeserializer<Object>

Deserializer implementation that is used if it is necessary to bind content of "unknown" type; something declared as basic `Object` (either explicitly, or due to type erasure). If so, "natural" mapping is used to convert JSON values to their natural Java object matches: JSON arrays to Java `List`s (or, if configured, Object[]), JSON objects to `Map`s, numbers to `Number`s, booleans to `Boolean`s and strings to `String` (and nulls to nulls).

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`JsonDeserializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_valueClass`

Constructor Summary
`UntypedObjectDeserializer()`

Method Summary
`Object` | `deserialize(JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.
`Object` | `deserializeWithType(JsonParser jp, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Base implementation that does not assume specific type inclusion mechanism.
`protected Object` | `mapArray(JsonParser jp, DeserializationContext ctxt)` Method called to map a JSON Array into a Java value.
`protected Object[]` | `mapArrayToArray(JsonParser jp, DeserializationContext ctxt)` Method called to map a JSON Array into a Java Object array (Object[]).
`protected Object` | `mapObject(JsonParser jp, DeserializationContext ctxt)` Method called to map a JSON Object into a Java value.

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UntypedObjectDeserializer

    public UntypedObjectDeserializer()

Method Detail

### deserialize

    public Object deserialize(JsonParser jp,
                              DeserializationContext ctxt)
                       throws IOException,
                              JsonProcessingException

  Description copied from class: `JsonDeserializer`
  Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

  Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

  Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

  Specified by:
    `deserialize` in class `JsonDeserializer<Object>`
  Parameters:
    `jp` - Parsed used for reading JSON content
    `ctxt` - Context that can be used to access information about this deserialization activity.
  Returns:
    Deserializer value
  Throws:
    `IOException`
    `JsonProcessingException`

### deserializeWithType

    public Object deserializeWithType(JsonParser jp,
                                      DeserializationContext ctxt,
                                      TypeDeserializer typeDeserializer)
                               throws IOException,
                                      JsonProcessingException

  Description copied from class: `StdDeserializer`
  Base implementation that does not assume specific type inclusion mechanism. Sub-classes are expected to override this method if they are to handle type information.

  Overrides:
    `deserializeWithType` in class `StdDeserializer<Object>`
    `typeDeserializer` - Deserializer to use for handling type information
  Throws:
    `IOException`
    `JsonProcessingException`

### mapArray

    protected Object mapArray(JsonParser jp,
                              DeserializationContext ctxt)
                       throws IOException,
                              JsonProcessingException

  Method called to map a JSON Array into a Java value.

  Throws:
    `IOException`
    `JsonProcessingException`

### mapObject

    protected Object mapObject(JsonParser jp,
                               DeserializationContext ctxt)
                        throws IOException,
                               JsonProcessingException

  Method called to map a JSON Object into a Java value.

  Throws:
    `IOException`
    `JsonProcessingException`

### mapArrayToArray

    protected Object[] mapArrayToArray(JsonParser jp,
                                       DeserializationContext ctxt)
                                throws IOException,
                                       JsonProcessingException

  Method called to map a JSON Array into a Java Object array (Object[]).

  Throws:
    `IOException`
    `JsonProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.